import QtQuick 1.0
import com.nokia.extras 1.0
Rectangle {
    width: 360
    height: 720
    objectName:  "avTopSearchNode"
    property string date;
    signal sigDateChanged;
    DatePickerDialog {
         id: tDialog
         titleText: "Date"
         acceptButtonText: qsTr("Ok")
         onAccepted: {
             datePickerAccepted();
//             date= tMainView.getDate(tDialog.year,tDialog.month,tDialog.day);
//             txtdt.text=date;
         }

     }
    function datePickerAccepted(){

        date= tMainView.getDate(tDialog.year,tDialog.month,tDialog.day);
        txtdt.text=date;

        var dt=new Date();
        dt.setFullYear(tDialog.year);
        dt.setMonth(tDialog.month-1);//dateDialog default starts on 1. Javascript starts on 0
        dt.setDate(tDialog.day);//dateDialog default starts on 1
        jsdt.text= "JS DAte: "+Qt.formatDateTime(dt, Qt.DefaultLocaleShortDate );
    }
    Text {
        id: txtdt
        text: qsTr("Qt Date: ")
        anchors.top: parent.top
    }
    Text {
        id: jsdt
        text: qsTr("JS Date: ")
        anchors.top: txtdt.bottom
    }
    Rectangle {
        id: rect
        width: 50
        height: 50
        color: "grey"
//        anchors.verticalCenter: parent.verticalCenter
//        anchors.leftMargin: 50
          anchors.top: jsdt.bottom
          anchors.topMargin: 50
        Text {
            id: txt
            text: qsTr("Date")
            anchors.centerIn: parent
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {

                dateCallback();
            }

        }

    }
    Rectangle {
        id: rectQuit
        width: 50
        height: 50
        color: "grey"
        anchors.left: rect.right
        anchors.leftMargin: 50
        anchors.top: rect.top
        Text {
            id: txtQt
            text: qsTr("Quit")
            anchors.centerIn: parent

        }
        MouseArea {
            anchors.fill: parent
            onClicked: {

                Qt.quit();
            }

        }

    }
    function dateCallback(){

        tDialog.open();

    }



}
