#include "tmainview.h"
#include <QDeclarativeContext>
#include <QMessageBox>
#include <QDeclarativeItem>

tMainView::tMainView(QWidget *parent) :
    QMainWindow(parent)
{
    pfile = new QFile("c:\\data\\output.txt");
          pfile->open(QIODevice::WriteOnly | QIODevice::Text);
          output = new QTextStream(pfile);

    QWidget* pWidget = new QWidget();
    setCentralWidget(pWidget);


    DecView = new QDeclarativeView(pWidget);
    DecView->rootContext()->setContextProperty("tMainView", this );
    DecView->setSource(QUrl("qrc:/qml/DatePickerQtEx/main.qml"));
    showFullScreen();
    QObject *rootObject = dynamic_cast<QObject*>(DecView->rootObject());

}

QString tMainView::getDate(int y, int m,int d)
{

    QDateTime now = QDateTime::currentDateTime();
    QTime nowTime=now.time();
    QDate date(y,m,d);
    QString str("Qt Date: "+date.toString()+" "+nowTime.toString());
    QMessageBox dateBox;
    dateBox.setText(str);
    dateBox.exec();
    return str;

}
